{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.crab.look_at_target": {
      "initial_state": "idle",
      "states": {
        "idle": {
          "animations": [
            {
              "look_at_target": "!q.is_avoiding_mobs"
            }
          ],
          "transitions": [
            {
              "walk": "q.modified_move_speed > 0.1 && !q.is_avoiding_mobs"
            }
          ],
          "blend_via_shortest_path": true,
          "blend_transition": 0.5
        },
        "walk": {
          "animations": [
            {
              "look_at_target": "!q.is_avoiding_mobs"
            }
          ],
          "transitions": [
            {
              "idle": "q.modified_move_speed <= 0.1 && !q.is_avoiding_mobs"
            }
          ],
          "blend_via_shortest_path": true,
          "blend_transition": 0.5
        }
      }
    }
  }
}
